commit 2897bfe8f9efdf58a61e955b51821cc49d2a9cfc
Author: Arsen Arsenović <arsen@aarsen.me>
Date:   Thu Aug 15 19:17:41 2024 +0200

    gnat: fix lto-type-mismatch between C_Version_String and gnat_version_string [PR115917]
    
    gcc/ada/ChangeLog:
    
            PR ada/115917
            * gnatvsn.ads: Add note about the duplication of this value in
            version.c.
            * version.c (VER_LEN_MAX): Define to the same value as
            Gnatvsn.Ver_Len_Max.
            (gnat_version_string): Use VER_LEN_MAX as bound.
    
    (cherry picked from commit 9cbcf8d1de159e6113fafb5dc2feb4a7e467a302)

diff --git a/gcc/ada/version.c b/gcc/ada/version.c
index 5e64edd0b17..2fa9b8c2c85 100644
--- a/gcc/ada/version.c
+++ b/gcc/ada/version.c
@@ -31,4 +31,7 @@
 
 #include "version.h"
 
-char gnat_version_string[] = version_string;
+/* Logically a reference to Gnatvsn.Ver_Len_Max.  Please keep in sync.  */
+#define VER_LEN_MAX 256
+
+char gnat_version_string[VER_LEN_MAX] = version_string;

